Copy PageCreate accountpost https://api.atlar.com/accounting/v2beta/gl-accountsCreate a new general ledger account.Body ParamsexternalIdstringrequired^[a-zA-Z0-9._\-+=]{1,64}$External identifier of this GL account in your ERP or integration. Must be unique within the organization.associatedConnectionsarray of objectsConnectivity connections that imported this GL account.associatedConnectionsADD objectnamestringrequiredlength between 1 and 255The name of the general ledger account.numberstringlength between 1 and 255The number of the general ledger account.glEntityIdsarray of stringsrequiredlength ≤ 100The Atlar general ledger entity ids that this general ledger account is associated with. When type is BANK, at most one GL entity id (or an empty list when the bank account is not yet linked). For other types, at least one and at most 100 ids.glEntityIds*ADD stringcurrencystringlength between 3 and 3^[A-Z]{3,3}$The currency of the general ledger account.typestringenumNormalized Atlar category for this GL account. Must be BANK for accountId and bank reconciliation use.BANKUNSPECIFIEDBANKACCOUNTS_PAYABLEACCOUNTS_RECEIVABLEAllowed:UNSPECIFIEDBANKACCOUNTS_PAYABLEACCOUNTS_RECEIVABLEdisplayTypestringrequiredlength between 1 and 255The general ledger account types are not uniform across other third-party systems. So instead, we accept the raw type from the third-party system that we can display to the user.inactivebooleanWhether the GL account is inactive in the customer's ERP. Omit for false.truefalseResponses 201The created general ledger account. 400Bad request.Updated 4 months ago Update entityList GL accountsDid this page help you?YesNo